Subject: New version of gwm (source and binary) uploaded
From: [email-masked] (David S. Vickers)
Date: Mon, 15 Mar 1993 22:02:35 GMT
Newsgroups: comp.os.linux.announce

I have uploaded a new version of gwm (the Generic Window Manager) to
sunsite.unc.edu. It is in the pub/Linux/X11/Incoming directory, and
the file is called gwmlinux-src-and-bin.tar.z.  Unpack it in the
/usr/X386/lib/X11 directory for easiest installation (it wants to wind
up there eventually).
  As the name implies, this package contains both source code and a
binary.  The source code is unchanged, but the binary has been linked
with libc 4.3.2 and libX11.so.3.0.  I also included a link kit so you
don't have to wait for it to recompile if you need to re-link.

(from the gwm README):
**************************************************************
WHAT IS GWM?
============

The GWM (Generic Window Manager) is an extensible Window Manager for
the X Window System Version 11. It is based upon a WOOL (Window Object
Oriented Langage) kernel, which is an interpreted dialect of Lisp with
specific window management primitives. The user builds a window
manager by writing WOOL files to describe objects on the screen,
including a Finite State Machine triggering WOOL actions on response
to X events (e.g. mouse buttons) on that object.  Theses objects can
used as decorations around X applications windows, as pop-up menus or
as independent windows.

GWM should be able to emulate efficiently other window managers, and play
the same role for window managers as EMACS does for text editors.
**************************************************************

GWM has a pretty good Motif window manager emulator, which is what I
use it for.  

- David ([email-masked])

-- 
Send submissions for comp.os.linux.announce to: [email-masked]